Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.datatags
Class AttributeIterateTag

`java.lang.Object
javax.servlet.jsp.tagext.TagSupport
javax.servlet.jsp.tagext.BodyTagSupport
oracle.jbo.html.jsp.datatags.AttributeIterateTag`

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, DataBinder, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class AttributeIterateTag
extends javax.servlet.jsp.tagext.BodyTagSupport
implements DataBinder

See Also:
  Serialized Form

Field Summary
`protected int` | `attr`
`protected JUCtrlRangeBinding` | `binding`
`protected oracle.adf.model.binding.DCBindingContainer` | `container`
`protected AttributeDef[]` | `dattrs`
`protected java.util.ArrayList` | `dispAttrs`
`protected DataSource` | `ds`
`protected java.util.ArrayList` | `hideAttrs`
`protected java.lang.String` | `modelReference`
`protected boolean` | `queriableOnly`
`protected java.lang.String` | `sDataSource`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AttributeIterateTag()`

Method Summary
`int` | `doAfterBody()`
`int` | `doEndTag()`
`int` | `doStartTag()`
`AttributeDef` | `getAttributeDef()`
`DataSource` | `getDataSource()`
`java.lang.String` | `getDataSourceName()`
`protected void` | `initializeUsingModelReference()`
`protected boolean` | `isUsingBindings()`
`void` | `setDatasource(java.lang.String sValue)`
`void` | `setDisplayattributes(java.lang.String sValue)`
`void` | `setHideattributes(java.lang.String sValue)`
`void` | `setModel(java.lang.String sModel)`
`void` | `setQueriableonly(java.lang.String sValue)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### sDataSource

    protected java.lang.String sDataSource

### dattrs

    protected AttributeDef[] dattrs

### attr

    protected int attr

### ds

    protected DataSource ds

### queriableOnly

    protected boolean queriableOnly

### dispAttrs

    protected java.util.ArrayList dispAttrs

### hideAttrs

    protected java.util.ArrayList hideAttrs

### modelReference

    protected java.lang.String modelReference

### binding

    protected JUCtrlRangeBinding binding

### container

    protected oracle.adf.model.binding.DCBindingContainer container

Constructor Detail

### AttributeIterateTag

    public AttributeIterateTag()

Method Detail

### setDatasource

    public void setDatasource(java.lang.String sValue)

### setModel

    public void setModel(java.lang.String sModel)

### isUsingBindings

    protected boolean isUsingBindings()

### initializeUsingModelReference

    protected void initializeUsingModelReference()

### setQueriableonly

    public void setQueriableonly(java.lang.String sValue)

### setDisplayattributes

    public void setDisplayattributes(java.lang.String sValue)

### setHideattributes

    public void setHideattributes(java.lang.String sValue)

### getDataSourceName

    public java.lang.String getDataSourceName()

  Specified by:
    `getDataSourceName` in interface `DataBinder`

### getDataSource

    public DataSource getDataSource()

  Specified by:
    `getDataSource` in interface `DataBinder`

### getAttributeDef

    public AttributeDef getAttributeDef()

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Throws:
    `javax.servlet.jsp.JspException`

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Specified by:
    `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.